diff --git a/passerelle/base/views.py b/passerelle/base/views.py
index 3eee2a57..db568bfa 100644
--- a/passerelle/base/views.py
+++ b/passerelle/base/views.py
@@ -13,35 +13,34 @@
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import datetime
 import json
 
 from dateutil import parser as date_parser
-
 from django.conf import settings
 from django.contrib.contenttypes.models import ContentType
-from django.urls import reverse
 from django.core.exceptions import ObjectDoesNotExist, PermissionDenied
 from django.db.models import Q
 from django.forms import models as model_forms
-from django.views.generic import View, DetailView, ListView, CreateView, UpdateView, DeleteView, FormView
 from django.http import Http404, HttpResponse, HttpResponseRedirect
 from django.shortcuts import get_object_or_404
+from django.urls import reverse
 from django.utils.timezone import make_aware
 from django.utils.translation import ugettext_lazy as _
+from django.views.generic import CreateView, DeleteView, DetailView, FormView, ListView, UpdateView, View
 
 from passerelle.compat import json_loads
 
-from .models import ApiUser, AccessRight, LoggingParameters, ResourceStatus, Job
-from .forms import ApiUserForm, AccessRightForm, AvailabilityParametersForm, ImportSiteForm
+from ..utils import export_site, get_trusted_services, import_site
 from ..views import GenericConnectorMixin
-from ..utils import get_trusted_services, import_site, export_site
+from .forms import AccessRightForm, ApiUserForm, AvailabilityParametersForm, ImportSiteForm
+from .models import AccessRight, ApiUser, Job, LoggingParameters, ResourceStatus
 
 
 class ResourceView(DetailView):
     template_name = 'passerelle/base/view.html'
 
     def get_object(self, queryset=None):
         try:
             obj = self.model.objects.get_subclass(slug=self.kwargs['slug'])
diff --git a/passerelle/contrib/fake_family/migrations/0001_initial.py b/passerelle/contrib/fake_family/migrations/0001_initial.py
index 54c9c8a8..f602437e 100644
--- a/passerelle/contrib/fake_family/migrations/0001_initial.py
+++ b/passerelle/contrib/fake_family/migrations/0001_initial.py
@@ -1,13 +1,13 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import django.contrib.postgres.fields.jsonb
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/contrib/fake_family/migrations/0002_fakefamily_log_level.py b/passerelle/contrib/fake_family/migrations/0002_fakefamily_log_level.py
index b5799d32..b1ce7bac 100644
--- a/passerelle/contrib/fake_family/migrations/0002_fakefamily_log_level.py
+++ b/passerelle/contrib/fake_family/migrations/0002_fakefamily_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('fake_family', '0001_initial'),
     ]
 
diff --git a/passerelle/contrib/fake_family/models.py b/passerelle/contrib/fake_family/models.py
index cfaed264..61f1cec5 100644
--- a/passerelle/contrib/fake_family/models.py
+++ b/passerelle/contrib/fake_family/models.py
@@ -10,21 +10,22 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.contrib.postgres.fields import JSONField
+from django.core.exceptions import MultipleObjectsReturned, ObjectDoesNotExist
 from django.urls import reverse
 from django.utils.translation import ugettext_lazy as _
-from django.core.exceptions import ObjectDoesNotExist, MultipleObjectsReturned
 
 from passerelle.base.models import BaseResource
+
 from .default_database import default_database
 
 
 class FakeFamily(BaseResource):
     jsondatabase = JSONField(_('Fake Database (JSON)'), blank=True)
 
     category = _('Business Process Connectors')
 
diff --git a/passerelle/contrib/gdema/models.py b/passerelle/contrib/gdema/models.py
index 0411052c..f4289a47 100644
--- a/passerelle/contrib/gdema/models.py
+++ b/passerelle/contrib/gdema/models.py
@@ -14,19 +14,19 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import datetime
 import json
 import re
 
 from django.db import models
-from django.utils.timezone import get_fixed_timezone, utc, is_naive, make_aware
 from django.utils.dateparse import parse_date, parse_datetime
 from django.utils.six import string_types
+from django.utils.timezone import get_fixed_timezone, is_naive, make_aware, utc
 from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
 
 # Only for documentation
diff --git a/passerelle/contrib/greco/models.py b/passerelle/contrib/greco/models.py
index f0796d1d..09ee5e04 100644
--- a/passerelle/contrib/greco/models.py
+++ b/passerelle/contrib/greco/models.py
@@ -10,38 +10,35 @@
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import base64
 import re
-
 from email.mime.base import MIMEBase
 from email.mime.multipart import MIMEMultipart
 from email.mime.text import MIMEText
 
-from suds.client import Client
-from suds.transport import Reply
-from suds.transport.http import HttpAuthenticated
 import suds.sudsobject
-
+from django.core.cache import cache
 from django.db import models
 from django.utils import six
 from django.utils.translation import ugettext_lazy as _
-from django.core.cache import cache
+from suds.client import Client
+from suds.transport import Reply
+from suds.transport.http import HttpAuthenticated
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
-from passerelle.utils.api import endpoint, APIError
 from passerelle.soap import sudsobject_to_dict
+from passerelle.utils.api import APIError, endpoint
 
-from .formdata import FormData, CREATION_SCHEMA, list_schema_fields
-
+from .formdata import CREATION_SCHEMA, FormData, list_schema_fields
 
 # taken from https://lsimons.wordpress.com/2011/03/17/stripping-illegal-characters-out-of-xml-in-python/
 _illegal_xml_chars_RE = re.compile(u'[\x00-\x08\x0b\x0c\x0e-\x1F\uD800-\uDFFF\uFFFE\uFFFF]')
 
 
 def escape_xml_illegal_chars(val, replacement='?'):
     return _illegal_xml_chars_RE.sub(replacement, val)
 
diff --git a/passerelle/contrib/iparapheur/migrations/0001_initial.py b/passerelle/contrib/iparapheur/migrations/0001_initial.py
index c3c10c99..e7d618cb 100644
--- a/passerelle/contrib/iparapheur/migrations/0001_initial.py
+++ b/passerelle/contrib/iparapheur/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0002_auto_20151009_0326'),
     ]
 
diff --git a/passerelle/contrib/iparapheur/migrations/0002_auto_20160406_1123.py b/passerelle/contrib/iparapheur/migrations/0002_auto_20160406_1123.py
index 04599a26..3e6703e9 100644
--- a/passerelle/contrib/iparapheur/migrations/0002_auto_20160406_1123.py
+++ b/passerelle/contrib/iparapheur/migrations/0002_auto_20160406_1123.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('iparapheur', '0001_initial'),
     ]
 
diff --git a/passerelle/contrib/iparapheur/migrations/0003_iparapheur_log_level.py b/passerelle/contrib/iparapheur/migrations/0003_iparapheur_log_level.py
index 7a46889a..f7d5c134 100644
--- a/passerelle/contrib/iparapheur/migrations/0003_iparapheur_log_level.py
+++ b/passerelle/contrib/iparapheur/migrations/0003_iparapheur_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('iparapheur', '0002_auto_20160406_1123'),
     ]
 
diff --git a/passerelle/contrib/iparapheur/models.py b/passerelle/contrib/iparapheur/models.py
index fa5a1a02..30bcc9b3 100644
--- a/passerelle/contrib/iparapheur/models.py
+++ b/passerelle/contrib/iparapheur/models.py
@@ -10,32 +10,31 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 import base64
 
-from requests.exceptions import ConnectionError
 from django.db import models
+from django.http import Http404, HttpResponse
 from django.utils.encoding import force_text
 from django.utils.six.moves.urllib import parse
 from django.utils.text import slugify
 from django.utils.translation import ugettext_lazy as _
-from django.http import HttpResponse, Http404
-
+from requests.exceptions import ConnectionError
 from zeep import Settings
-from zeep.exceptions import Fault as WebFault, TransportError, XMLSyntaxError
+from zeep.exceptions import Fault as WebFault
+from zeep.exceptions import TransportError, XMLSyntaxError
 
 from passerelle.base.models import BaseResource, HTTPResource
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
 
-
 CREATE_FILE_SCHEMA = {
     '$schema': 'http://json-schema.org/draft-04/schema#',
     'title': 'Iparapheur create file',
     'type': 'object',
     'required': ['file', 'title', 'type', 'subtype', 'visibility'],
     'properties': {
         'file': {
             'type': 'object',
diff --git a/passerelle/contrib/mdph13/models.py b/passerelle/contrib/mdph13/models.py
index 8bb01a95..dbeff402 100644
--- a/passerelle/contrib/mdph13/models.py
+++ b/passerelle/contrib/mdph13/models.py
@@ -15,26 +15,25 @@
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import base64
 import datetime
 import re
 
 import requests
-
 from django.db import models, transaction
-from django.utils import six, dateparse
+from django.utils import dateparse, six
 from django.utils.six.moves.urllib import parse as urlparse
-from django.utils.translation import ugettext_lazy as _
 from django.utils.timezone import now
+from django.utils.translation import ugettext_lazy as _
 
-from passerelle.utils.jsonresponse import APIError, to_json
-from passerelle.utils.api import endpoint
 from passerelle.base.models import BaseResource, HTTPResource
+from passerelle.utils.api import endpoint
+from passerelle.utils.jsonresponse import APIError, to_json
 
 
 def json_walker(value, func, path=None):
     """Walk a JSON structure of objects, arrays and scalar values, call
     func(value, path) on values."""
     path = path or []
     if isinstance(value, dict):
         for key in value:
diff --git a/passerelle/contrib/nancypoll/migrations/0001_initial.py b/passerelle/contrib/nancypoll/migrations/0001_initial.py
index af6a87b1..46c72cfd 100644
--- a/passerelle/contrib/nancypoll/migrations/0001_initial.py
+++ b/passerelle/contrib/nancypoll/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0002_auto_20151009_0326'),
     ]
 
diff --git a/passerelle/contrib/planitech/models.py b/passerelle/contrib/planitech/models.py
index 253eb2d2..46bd5651 100644
--- a/passerelle/contrib/planitech/models.py
+++ b/passerelle/contrib/planitech/models.py
@@ -10,38 +10,36 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import collections
-from datetime import date, datetime, time, timedelta
 import hashlib
 import json
 import re
 import uuid
+from datetime import date, datetime, time, timedelta
 
 from django.contrib.postgres.fields import JSONField
 from django.core.cache import cache
 from django.db import models, transaction
-from django.utils import dateformat
-from django.utils import dateparse
+from django.utils import dateformat, dateparse
 from django.utils.encoding import force_bytes
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.translation import ugettext_lazy as _
 from requests.exceptions import RequestException
 
 from passerelle.base.models import BaseResource
 from passerelle.contrib.planitech import mste
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
 
-
 DEFAULT_MIN_CAPACITY = 0
 DEFAULT_MAX_CAPACITY = 100000
 
 
 CREATE_RESERVATION_SCHEMA = {
     "$schema": "http://json-schema.org/draft-04/schema#",
     "title": "Planitech createreservation",
     "description": "",
diff --git a/passerelle/contrib/solis_apa/migrations/0001_initial.py b/passerelle/contrib/solis_apa/migrations/0001_initial.py
index f914a626..ec8c1ec3 100644
--- a/passerelle/contrib/solis_apa/migrations/0001_initial.py
+++ b/passerelle/contrib/solis_apa/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0002_auto_20151009_0326'),
     ]
 
diff --git a/passerelle/contrib/solis_apa/models.py b/passerelle/contrib/solis_apa/models.py
index b2deb1b4..2b06a542 100644
--- a/passerelle/contrib/solis_apa/models.py
+++ b/passerelle/contrib/solis_apa/models.py
@@ -9,30 +9,29 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-import re
 import json
+import re
 
-from django.db import models
 from django.core.cache import cache
-from django.urls import reverse
 from django.db import models
+from django.http import HttpResponse
+from django.urls import reverse
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.translation import ugettext_lazy as _
-from django.http import HttpResponse
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
-from passerelle.contrib.solis_apa import conciliation, suivi, integration
+from passerelle.contrib.solis_apa import conciliation, integration, suivi
 from passerelle.utils.jsonresponse import APIError
 
 HEADERS = {'Accept': 'application/json', 'Content-Type': 'application/json'}
 
 APPLICATION = 'AsgTeleprocedureApa14'
 
 
 class SolisAPA(BaseResource):
diff --git a/passerelle/contrib/solis_apa/views.py b/passerelle/contrib/solis_apa/views.py
index 0882e19b..5ecd0f2b 100644
--- a/passerelle/contrib/solis_apa/views.py
+++ b/passerelle/contrib/solis_apa/views.py
@@ -9,21 +9,22 @@
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-from django.views.generic import DetailView as GenericDetailView, View
-from django.views.generic.detail import SingleObjectMixin
 from django.utils.decorators import method_decorator
-from django.views.decorators.csrf import csrf_exempt
 from django.utils.translation import ugettext_lazy as _
+from django.views.decorators.csrf import csrf_exempt
+from django.views.generic import DetailView as GenericDetailView
+from django.views.generic import View
+from django.views.generic.detail import SingleObjectMixin
 
 import passerelle.utils as utils
 
 from .models import SolisAPA
 
 
 class CommissionTypeNotFound(Exception):
     http_status = 404
diff --git a/passerelle/contrib/strasbourg_eu/models.py b/passerelle/contrib/strasbourg_eu/models.py
index b987a3bf..e3a6c19d 100644
--- a/passerelle/contrib/strasbourg_eu/models.py
+++ b/passerelle/contrib/strasbourg_eu/models.py
@@ -18,17 +18,17 @@ import datetime
 
 from django.db import models
 from django.utils.encoding import force_text
 from django.utils.six.moves.urllib import parse as urlparse
 from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
-from passerelle.utils.api import endpoint, APIError
+from passerelle.utils.api import APIError, endpoint
 
 
 class StrasbourgEu(BaseResource):
     category = _('Misc')
 
     liferay_api_url = models.URLField(_('Liferay API URL'), max_length=256)
 
     class Meta:
diff --git a/passerelle/contrib/teamnet_axel/migrations/0001_initial.py b/passerelle/contrib/teamnet_axel/migrations/0001_initial.py
index 71522529..734cad6b 100644
--- a/passerelle/contrib/teamnet_axel/migrations/0001_initial.py
+++ b/passerelle/contrib/teamnet_axel/migrations/0001_initial.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('base', '0001_initial'),
     ]
 
diff --git a/passerelle/contrib/teamnet_axel/migrations/0002_management_billing_regies.py b/passerelle/contrib/teamnet_axel/migrations/0002_management_billing_regies.py
index e63a1ae0..da504a9f 100644
--- a/passerelle/contrib/teamnet_axel/migrations/0002_management_billing_regies.py
+++ b/passerelle/contrib/teamnet_axel/migrations/0002_management_billing_regies.py
@@ -1,13 +1,13 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
 import django.contrib.postgres.fields.jsonb
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('teamnet_axel', '0001_initial'),
     ]
 
diff --git a/passerelle/contrib/teamnet_axel/migrations/0003_management_log_level.py b/passerelle/contrib/teamnet_axel/migrations/0003_management_log_level.py
index 041180d3..a89d0634 100644
--- a/passerelle/contrib/teamnet_axel/migrations/0003_management_log_level.py
+++ b/passerelle/contrib/teamnet_axel/migrations/0003_management_log_level.py
@@ -1,12 +1,12 @@
 # -*- coding: utf-8 -*-
 from __future__ import unicode_literals
 
-from django.db import models, migrations
+from django.db import migrations, models
 
 
 class Migration(migrations.Migration):
 
     dependencies = [
         ('teamnet_axel', '0002_management_billing_regies'),
     ]
 
diff --git a/passerelle/contrib/teamnet_axel/models.py b/passerelle/contrib/teamnet_axel/models.py
index 13531f6b..06b07706 100644
--- a/passerelle/contrib/teamnet_axel/models.py
+++ b/passerelle/contrib/teamnet_axel/models.py
@@ -10,35 +10,35 @@
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 import base64
-from datetime import datetime
 import logging
 import xml.etree.ElementTree as ET
+from datetime import datetime
 
 from django.contrib.postgres.fields import JSONField
 from django.db import models
 from django.http import HttpResponse, HttpResponseNotFound
-from django.utils.translation import ugettext_lazy as _
 from django.utils.encoding import smart_text
+from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
 from passerelle.soap import client_to_jsondict
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
 from passerelle.views import WrongParameter
 
 from . import soap
-from .utils import normalize_person, normalize_invoice
+from .utils import normalize_invoice, normalize_person
 
 logger = logging.getLogger('passerelle.contrib.teamnet_axel')
 
 ADULT1 = '1'
 ADULT2 = '2'
 CHILD = '3'
 
 DATE_IN_FORMAT = '%Y-%m-%dT%H:%M:%S'
diff --git a/passerelle/contrib/toulouse_axel/models.py b/passerelle/contrib/toulouse_axel/models.py
index 2c513af2..eff4f4c6 100644
--- a/passerelle/contrib/toulouse_axel/models.py
+++ b/passerelle/contrib/toulouse_axel/models.py
@@ -25,18 +25,18 @@ from django.http import HttpResponse
 from django.utils import dateformat
 from django.utils.dates import WEEKDAYS as WEEKDAYS_LABELS
 from django.utils.translation import ugettext_lazy as _
 
 from passerelle.base.models import BaseResource
 from passerelle.compat import json_loads
 from passerelle.utils.api import endpoint
 from passerelle.utils.jsonresponse import APIError
-from . import schemas
-from . import utils
+
+from . import schemas, utils
 from .exceptions import AxelError
 
 logger = logging.getLogger('passerelle.contrib.toulouse_axel')
 
 BASE_XSD_PATH = os.path.join(os.path.dirname(__file__), 'xsd')
 
 WEEKDAYS = {
     0: 'monday',
diff --git a/passerelle/plugins.py b/passerelle/plugins.py
index 64bfb7f6..828da858 100644
--- a/passerelle/plugins.py
+++ b/passerelle/plugins.py
@@ -12,17 +12,17 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from django.apps import apps
 from django.conf.urls import include, url
 
-from .urls_utils import decorated_includes, required, app_enabled, manager_required
+from .urls_utils import app_enabled, decorated_includes, manager_required, required
 
 
 def register_apps_urls(urlpatterns):
     """Call get_before_urls and get_after_urls on all apps providing them,
     add those urls to the given urlpatterns (before or after).
     """
     before_urls = []
     after_urls = []
diff --git a/passerelle/urls.py b/passerelle/urls.py
index d3de0209..2e5a761d 100644
--- a/passerelle/urls.py
+++ b/passerelle/urls.py
@@ -1,39 +1,36 @@
 from django.conf import settings
 from django.conf.urls import include, url
-
 from django.contrib import admin
-
 from django.contrib.auth.decorators import login_required
 from django.contrib.staticfiles.urls import staticfiles_urlpatterns
 from django.views.static import serve as static_serve
 
 from .api.urls import urlpatterns as api_urls
+from .base.urls import access_urlpatterns, import_export_urlpatterns
+from .base.views import GenericJobView, GenericRestartJobView, GenericViewJobsConnectorView
+from .plugins import register_apps_urls
+from .urls_utils import decorated_includes, manager_required
 from .views import (
-    HomePageView,
-    ManageView,
-    ManageAddView,
+    GenericConnectorView,
     GenericCreateConnectorView,
     GenericDeleteConnectorView,
     GenericEditConnectorView,
     GenericEndpointView,
-    GenericConnectorView,
-    GenericViewLogsConnectorView,
-    GenericLogView,
     GenericExportConnectorView,
+    GenericLogView,
+    GenericViewLogsConnectorView,
+    HomePageView,
+    ManageAddView,
+    ManageView,
     login,
     logout,
     menu_json,
 )
-from .base.views import GenericViewJobsConnectorView, GenericJobView, GenericRestartJobView
-from .urls_utils import decorated_includes, manager_required
-from .base.urls import access_urlpatterns, import_export_urlpatterns
-from .plugins import register_apps_urls
-
 
 admin.autodiscover()
 
 urlpatterns = [
     url(r'^$', HomePageView.as_view(), name='homepage'),
     url(r'^manage/$', manager_required(ManageView.as_view()), name='manage-home'),
     url(r'^manage/menu.json$', manager_required(menu_json), name='menu-json'),
     url(r'^manage/add$', manager_required(ManageAddView.as_view()), name='add-connector'),
diff --git a/passerelle/utils/__init__.py b/passerelle/utils/__init__.py
index 8c886223..29ab5d05 100644
--- a/passerelle/utils/__init__.py
+++ b/passerelle/utils/__init__.py
@@ -11,44 +11,43 @@
 # GNU Affero General Public License for more details.
 #
 # You should have received a copy of the GNU Affero General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
 from __future__ import absolute_import
 
 import base64
-from functools import wraps
 import hashlib
 import re
-from itertools import islice, chain
 import warnings
-
-from requests import Session as RequestSession, Response as RequestResponse
-from requests.adapters import HTTPAdapter
-from requests.structures import CaseInsensitiveDict
-from urllib3.exceptions import InsecureRequestWarning
+from functools import wraps
+from itertools import chain, islice
 
 from django.conf import settings
+from django.contrib.contenttypes.models import ContentType
 from django.core.cache import cache
 from django.core.exceptions import PermissionDenied
+from django.db import transaction
 from django.http import HttpResponse, HttpResponseBadRequest
-from django.template import Template, Context
+from django.template import Context, Template
 from django.utils.decorators import available_attrs
 from django.utils.encoding import force_bytes, force_text
 from django.utils.functional import lazy
 from django.utils.html import mark_safe
 from django.utils.six import BytesIO
 from django.views.generic.detail import SingleObjectMixin
-from django.contrib.contenttypes.models import ContentType
-from django.db import transaction
+from requests import Response as RequestResponse
+from requests import Session as RequestSession
+from requests.adapters import HTTPAdapter
+from requests.structures import CaseInsensitiveDict
+from urllib3.exceptions import InsecureRequestWarning
 
 from passerelle.base.signature import check_query, check_url
 
-
 mark_safe_lazy = lazy(mark_safe, str)
 
 
 def response_for_json(request, data):
     import json
 
     response = HttpResponse(content_type='application/json')
     json_str = json.dumps(data)
@@ -325,18 +324,17 @@ class Request(RequestSession):
         error_log = getattr(self.resource, 'log_requests_errors', True)
         log_http_request(
             self.logger, request=request, response=response, exception=exception, error_log=error_log
         )
 
 
 def export_site(slugs=None):
     '''Dump passerelle configuration (users, resources and ACLs) to JSON dumpable dictionnary'''
-    from passerelle.base.models import ApiUser
-    from passerelle.base.models import BaseResource
+    from passerelle.base.models import ApiUser, BaseResource
 
     d = {}
     d['apiusers'] = [apiuser.export_json() for apiuser in ApiUser.objects.all()]
     d['resources'] = resources = []
     for subclass in BaseResource.__subclasses__():
         if subclass._meta.abstract:
             continue
         for resource in subclass.objects.all():
@@ -348,18 +346,17 @@ def export_site(slugs=None):
                 break
     return d
 
 
 def import_site(d, if_empty=False, clean=False, overwrite=False, import_users=False):
     """Load passerelle configuration (users, resources and ACLs) from a dictionnary loaded from
     JSON
     """
-    from passerelle.base.models import ApiUser
-    from passerelle.base.models import BaseResource
+    from passerelle.base.models import ApiUser, BaseResource
 
     d = d.copy()
 
     def is_empty():
         if import_users:
             if ApiUser.objects.count():
                 return False
 
@@ -402,10 +399,10 @@ def batch(iterable, size):
         try:
             yield chain([next(batchiter)], batchiter)
         except StopIteration:
             return
 
 
 # legacy import, other modules keep importing to_json from passerelle.utils
 from .jsonresponse import to_json
+from .sftp import SFTP, SFTPField
 from .soap import SOAPClient, SOAPTransport
-from .sftp import SFTPField, SFTP
diff --git a/passerelle/utils/jsonresponse.py b/passerelle/utils/jsonresponse.py
index eb986c6a..b8051772 100644
--- a/passerelle/utils/jsonresponse.py
+++ b/passerelle/utils/jsonresponse.py
@@ -1,35 +1,33 @@
 # This module is a modified copy of code of Yasha's Borevich library
 # django-jsonresponse (https://github.com/jjay/django-jsonresponse) distributed
 # under BSD license
 
 from __future__ import absolute_import
 
 import datetime
-import json
 import functools
+import json
 import logging
 import re
 import time
 
-from django.http import HttpResponse, Http404, HttpResponseBadRequest
-from django.http.response import HttpResponseBase
 from django.conf import settings
 from django.core.exceptions import ObjectDoesNotExist, PermissionDenied
 from django.core.serializers.json import DjangoJSONEncoder
-from django.utils.encoding import force_text
+from django.http import Http404, HttpResponse, HttpResponseBadRequest
+from django.http.response import HttpResponseBase
 from django.utils import six
-
-from requests import RequestException, HTTPError
+from django.utils.encoding import force_text
+from requests import HTTPError, RequestException
 
 from passerelle.utils import log_http_request
 from passerelle.utils.conversion import exception_to_text
 
-
 DEFAULT_DEBUG = getattr(settings, 'JSONRESPONSE_DEFAULT_DEBUG', False)
 CALLBACK_NAME = getattr(settings, 'JSONRESPONSE_CALLBACK_NAME', 'callback')
 
 
 class APIError(RuntimeError):
     '''Exception to raise when there is a remote application or business logic error.'''
 
     def __init__(self, *args, **kwargs):
diff --git a/passerelle/utils/paginator.py b/passerelle/utils/paginator.py
index 7062d24a..8e47c7d6 100644
--- a/passerelle/utils/paginator.py
+++ b/passerelle/utils/paginator.py
@@ -1,9 +1,9 @@
-from django.core.paginator import Paginator, Page, EmptyPage
+from django.core.paginator import EmptyPage, Page, Paginator
 from django.utils.functional import cached_property
 from django.utils.translation import ugettext_lazy as _
 
 
 class InfinitePaginator(Paginator):
     def page(self, number):
         number = self.validate_number(number)
         offset = (number - 1) * self.per_page
